{% extends 'base.html.twig' %}

{% block title %}Liste des activités{% endblock %}

{% block body %}

    <main class="container mt-0 md:mt-12">
        <h1>Liste des activités</h1>

        {% for message in app.flashes('success') %}
            <div class="flash-message flash-success">
                {{ message }}
            </div>
        {% endfor %}


        <div class="flex flex-col my-6">
            <div class="py-2 -my-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
                <div class="inline-block min-w-full overflow-hidden align-middle border-b border-gray-200 shadow sm:rounded-lg">
                    <input type="text" name="searchTableActivities" placeholder="Recherchez parmi les activités">
                    <table id="searchTableActivities" class="min-w-full">
                        <thead>
                            <tr>
                                <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
                                    Nom de l'activité
                                </th>
                                <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
                                    Nombre de personnes nécessaires
                                </th>
                                <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
                                    Édition concernée
                                </th>

                                <th class="px-6 py-3 border-b border-gray-200 bg-gray-50"></th>
                            </tr>
                        </thead>

                        <tbody class="bg-white">
                            {% for activity in activities %}
                                <tr>
                                    <td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
                                        {{ activity.name }}
                                    </td>
                                    <td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
                                        {{ activity.numberPeople }}
                                    </td>
                                    <td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
                                        {{ activity.edition.name }} ({{ activity.edition.year }})
                                    </td>

                                    <td class="px-6 py-4 text-sm font-medium leading-5 text-right whitespace-no-wrap border-b border-gray-200">
                                        <a href="{{ path('activity_show', {'id': activity.id}) }}" class="mr-4 text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Voir</a>
                                        <a href="{{ path('activity_edit', {'id': activity.id}) }}" class="text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Modifier</a>
                                    </td>
                                </tr>
                            {% else %}
                                <tr>
                                    <td class="px-6 py-4" colspan="9">Aucune données</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <a class="btn" href="{{ path('activity_new') }}">Créer une nouvelle activité</a>
    </main>
{% endblock %}
